package test;

import com.poscoict.glueframework.context.GlueStaticContext;

import java.util.Date;
import java.util.TimeZone;

public class TestMultiTimezone {
    public static void main(String[] args) {
        Date date = new Date();
        String textformat = "yyyy/MM/dd HH:mm:ss";

        System.out.println(GlueStaticContext.getTimeZoneFormat(date, TimeZone.getDefault().getID()));
        System.out.println(GlueStaticContext.getTimeZoneFormat(date, "Asia/Seoul"));
        System.out.println(GlueStaticContext.getTimeZoneFormat(date, "Asia/Seoul", textformat));
        System.out.println(GlueStaticContext.getTimeZoneFormat(date, "Canada/Eastern"));
        System.out.println(GlueStaticContext.getTimeZoneFormat(date, "Asia/Shanghai"));
        System.out.println(GlueStaticContext.getTimeZoneFormat(date, 5 * 60, textformat));
        System.out.println(GlueStaticContext.getTimeZoneFormat(date, -6 * 60, textformat));
    }
}